import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 数据授权管理
import dataAuthorization from '../components/configurationRelationship/dataAuthorization.vue'
// 数据源计算逻辑维护
import dataCalculateLogic from '../components/configurationRelationship/dataCalculateLogic.vue'
// 供需项目维护
import Project from '../components/supplyAnddemand/Project.vue'
// 供需项目数据维护
import ProjectData from '../components/supplyAnddemand/ProjectData.vue'
// 转供电实绩
import outElectricity from '../components/outElectricity.vue'
// 能源上报项目维护
import projectw from '../components/energyDw/projectw.vue'
// 能介上报数据维护
import projectwData from '../components/energyDw/projectwData.vue'
// 上报产量维护
import productwData from '../components/energyDw/productwData.vue'
// 上报指标项目维护
import indexw from '../components/energyDw/indexw.vue'
// 上报指标数据维护
import indexwData from '../components/energyDw/indexwData.vue'
// 财务项目维护
import financeProject from '../components/financeData/financeProject.vue'
// 财务项目数据维护
import financeProjectData from '../components/financeData/financeProjectData.vue'
// 财务指标维护
import financeFzb from '../components/financeData/financeFzb.vue'
// 财务指标数据维护
import financeFzbData from '../components/financeData/financeFzbData.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'productInformation'
        },
        children: [
            {
                path: 'dataAuthorization',
                name: 'dataAuthorization',
                component: dataAuthorization
            },
            {
                path: 'dataCalculateLogic',
                name: 'dataCalculateLogic',
                component: dataCalculateLogic
            },
            {
                path: 'Project',
                name: 'Project',
                component: Project
            },
            {
                path: 'ProjectData',
                name: 'ProjectData',
                component: ProjectData
            },
            {
                path: 'outElectricity',
                name: 'outElectricity',
                component: outElectricity
            },
            {
                path: 'projectw',
                name: 'projectw',
                component: projectw
            },
            {
                path: 'projectwData',
                name: 'projectwData',
                component: projectwData
            },
            {
                path: 'productwData',
                name: 'productwData',
                component: productwData
            },
            {
                path: 'indexwData',
                name: 'indexwData',
                component: indexwData
            },
            {
                path: 'indexw',
                name: 'indexw',
                component: indexw
            },
            {
                path: 'financeProject',
                name: 'financeProject',
                component: financeProject
            },
            {
                path: 'financeProjectData',
                name: 'financeProjectData',
                component: financeProjectData
            },
            {
                path: 'financeFzb',
                name: 'financeFzb',
                component: financeFzb
            },
            {
                path: 'financeFzbData',
                name: 'financeFzbData',
                component: financeFzbData
            }
        ]
    }]
})
